aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--ChangeLog3
-rw-r--r--debian/changelog5
-rwxr-xr-xpbuilder-user-mode-linux9
3 files changed, 9 insertions, 8 deletions
diff --git a/ChangeLog b/ChangeLog
index 98b37bf..5854546 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,5 +1,8 @@
2003-11-16 Junichi Uekawa <dancer@debian.org>
+ * pbuilder-user-mode-linux: preen fsck.
+ comment out fsck bit, it's too slow.
+
* THANKS: add
* pbuilder-runhooks: fix warning messages to be more correct, thanks
diff --git a/debian/changelog b/debian/changelog
index ca84dd7..1aae926 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,7 +1,6 @@
-pbuilder (0.94) UNRELEASED; urgency=low
+pbuilder (0.94) unstable; urgency=low
* pdebuild-user-mode-linux: support --configfile as pdebuild does.
- * [UML] pbuilder-user-mode-linux; fsck before mount.
* Bug fix: "pbuilder: Trying to unmount dev/pts when not mounted",
thanks to Chris Halls (Closes: #219941).
Reordered mount order so that /dev/pts and /dev mounts can be
@@ -11,7 +10,7 @@ pbuilder (0.94) UNRELEASED; urgency=low
D[0-9][0-9]*, not executing.", thanks to Daniel Martin (Closes:
#220979).
- -- Junichi Uekawa <dancer@debian.org> Sun, 16 Nov 2003 16:08:48 +0900
+ -- Junichi Uekawa <dancer@debian.org> Sun, 16 Nov 2003 23:28:25 +0900
pbuilder (0.93) unstable; urgency=low
diff --git a/pbuilder-user-mode-linux b/pbuilder-user-mode-linux
index 623c39d..253fd09 100755
--- a/pbuilder-user-mode-linux
+++ b/pbuilder-user-mode-linux
@@ -64,9 +64,9 @@ ${UML_DEBUGMODE}
mount -t proc /proc /proc
mount -t tmpfs /tmp /tmp
-if ! fsck /dev/ubd/1; then
- echo "W: Failed to fsck /dev/ubd/1"
-fi
+#if ! fsck -p /dev/ubd/1; then
+# echo "W: Failed to fsck /dev/ubd/1"
+#fi
if ! mount -t ext2 /dev/ubd/1 ${UML_CHROOT_MOUNTPOINT}; then
echo "E: Cannot mount /dev/ubd/1, is UML root image accessible as current user?"
exit 1
@@ -248,9 +248,8 @@ while [ -n "$1" ] ; do
esac
done
-
if ! touch "${BUILDPLACE}/touch" ; then
- echo "E: Cannot touch ${BUILDPLACE}/touch, check BUILDPLACE" >&2
+ echo "E: Cannot touch BUILDPLACE/touch, check BUILDPLACE" >&2
exit 1
fi